Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclTLS< T, ID, Registry > Class Template Reference
[OSCL Base]

`#include <oscl_tls.h>`

## Public Methods
| OsclTLS ()
| ~OsclTLS ()
T & | operator * () const
| The indirection operator (*) accesses a value indirectly, through a pointer.
T * | operator-> () const
| The indirection operator (->) accesses a value indirectly, through a pointer.
bool | set ()
| set() method sets ownership to the pointer, passed. This method is needed when the class is created with a default constructor. Returns false in case the class is non-empty.
## Protected Attributes
T * | _Ptr

### template<class T, uint32 ID, class Registry = OsclTLSRegistry>
class OsclTLS< T, ID, Registry >

## Constructor & Destructor Documentation

template<class T, uint32 ID, class Registry = OsclTLSRegistry>
OsclTLS< T, ID, Registry >::OsclTLS | ( |  | ) | `[inline]`

template<class T, uint32 ID, class Registry = OsclTLSRegistry>
OsclTLS< T, ID, Registry >::~OsclTLS | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T, uint32 ID, class Registry = OsclTLSRegistry>
T& OsclTLS< T, ID, Registry >::operator * | ( |  | ) | const`[inline]`

| The indirection operator (*) accesses a value indirectly, through a pointer. This operator ensures that the OsclTLS can be used like the regular pointer that it was initialized with.

template<class T, uint32 ID, class Registry = OsclTLSRegistry>
T* OsclTLS< T, ID, Registry >::operator-> | ( |  | ) | const`[inline]`

| The indirection operator (->) accesses a value indirectly, through a pointer. This operator ensures that the OsclTLS can be used like the regular pointer that it was initialized with.

template<class T, uint32 ID, class Registry = OsclTLSRegistry>
bool OsclTLS< T, ID, Registry >::set | ( |  | ) | `[inline]`

| set() method sets ownership to the pointer, passed. This method is needed when the class is created with a default constructor. Returns false in case the class is non-empty.

## Field Documentation

template<class T, uint32 ID, class Registry = OsclTLSRegistry>
T* OsclTLS< T, ID, Registry >::_Ptr`[protected]`

The documentation for this class was generated from the following file:

- oscl_tls.h